ItemSelectableBean (gCube User Selection Dialog Widget 1.1.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portlets.widgets.userselection.shared

## Class ItemSelectableBean

- java.lang.Object
- - org.gcube.portlets.widgets.userselection.shared.ItemSelectableBean

- All Implemented Interfaces:
    Serializable

      public class ItemSelectableBean
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemSelectableBean()`
    `ItemSelectableBean(String id, String fullName, String pictureURL)`
    `ItemSelectableBean(String id, String name, String iconURL, String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIconURL()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setIconURL(String pictureURL)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemSelectableBean

          public ItemSelectableBean()

    - #### ItemSelectableBean

          public ItemSelectableBean(String id,
                            String name,
                            String iconURL,
                            String type)

    - #### ItemSelectableBean

          public ItemSelectableBean(String id,
                            String fullName,
                            String pictureURL)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getIconURL

          public String getIconURL()

    - #### setIconURL

          public void setIconURL(String pictureURL)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.